Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## nl.liacs.subdisc
Enum TargetType

    java.lang.Object
      java.lang.Enum<TargetType>
          nl.liacs.subdisc.TargetType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TargetType>, EnumInterface

    public enum TargetType

extends java.lang.Enum<TargetType>
implements EnumInterface

TargetType contains all available TargetTypes.

Enum Constant Summary
`DOUBLE_CORRELATION`
`DOUBLE_REGRESSION`
`MULTI_BINARY_CLASSIFICATION`
`MULTI_LABEL`
`SINGLE_NOMINAL`
`SINGLE_NUMERIC`
`SINGLE_ORDINAL`

Field Summary
`java.lang.String` | `GUI_TEXT` For each TargetType, this is the text that will be used in the GUI.

Method Summary
`static TargetType` | `getDefault()` Returns the default TargetType.
`static TargetType` | `getTargetType(java.lang.String theType)` Returns the TargetType corresponding to the `String` parameter.
`static boolean` | `hasBaseModel(TargetType theType)`
`static boolean` | `hasMiscField(TargetType theType)`
`static boolean` | `hasMultiTargets(TargetType theType)`
`static boolean` | `hasSecondaryTarget(TargetType theType)`
`static boolean` | `hasTargetAttribute(TargetType theType)`
`static boolean` | `hasTargetValue(TargetType theType)`
`static boolean` | `isImplemented(TargetType theType)`
`java.lang.String` | `toString()` Returns a friendly `String to show in the GUI.`
`static TargetType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TargetType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SINGLE_NOMINAL

    public static final TargetType SINGLE_NOMINAL

### SINGLE_NUMERIC

    public static final TargetType SINGLE_NUMERIC

### SINGLE_ORDINAL

    public static final TargetType SINGLE_ORDINAL

### DOUBLE_REGRESSION

    public static final TargetType DOUBLE_REGRESSION

### DOUBLE_CORRELATION

    public static final TargetType DOUBLE_CORRELATION

### MULTI_LABEL

    public static final TargetType MULTI_LABEL

### MULTI_BINARY_CLASSIFICATION

    public static final TargetType MULTI_BINARY_CLASSIFICATION

Field Detail

### GUI_TEXT

    public final java.lang.String GUI_TEXT

  For each TargetType, this is the text that will be used in the GUI. This is also the `String` that will be returned by the toString() method.

Method Detail

### values

    public static TargetType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TargetType c : TargetType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TargetType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getTargetType

    public static TargetType getTargetType(java.lang.String theType)

  Returns the TargetType corresponding to the `String` parameter. This method is case insensitive.

  Parameters:
    `theType` - the `String` corresponding to a TargetType.
  Returns:
    the TargetType corresponding to the `String` parameter, or the default TargetType `SINGLE_NOMINAL` if no corresponding TargetType can not be found.

### getDefault

    public static TargetType getDefault()

  Returns the default TargetType.

  Returns:
    the default TargetType.

### toString

    public java.lang.String toString()

  Description copied from interface: `EnumInterface`
  Returns a friendly `String to show in the GUI.

  `
  Specified by:
    `toString` in interface `EnumInterface`
  Overrides:
    `toString` in class `java.lang.Enum<TargetType>`
  Returns:
    the text `String` presented to the end user.

### isImplemented

    public static boolean isImplemented(TargetType theType)

### hasSecondaryTarget

    public static boolean hasSecondaryTarget(TargetType theType)

### hasMultiTargets

    public static boolean hasMultiTargets(TargetType theType)

### hasMiscField

    public static boolean hasMiscField(TargetType theType)

### hasTargetAttribute

    public static boolean hasTargetAttribute(TargetType theType)

### hasTargetValue

    public static boolean hasTargetValue(TargetType theType)

### hasBaseModel

    public static boolean hasBaseModel(TargetType theType)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD